import os
from building import *

cwd = GetCurrentDir()

objs = []
objs.extend(SConscript(os.path.join(cwd,  '../../src/lcpu/SConscript'), variant_dir="main", duplicate=0))
# objs.extend(SConscript(os.path.join(cwd,  '../../src/drv_light/SConscript'), variant_dir="drv_light", duplicate=0))
# objs.extend(SConscript(os.path.join(cwd,  '../../src/drv_rgb/SConscript'), variant_dir="drv_rgb", duplicate=0))
# objs.extend(SConscript(os.path.join(cwd,  '../../src/rgb_array/SConscript'), variant_dir="rgb_array", duplicate=0))
# objs.extend(SConscript(os.path.join(cwd,  '../../src/rgb_player/SConscript'), variant_dir="rgb_player", duplicate=0))



Import('SIFLI_SDK')

objs.extend(SConscript(os.path.join(SIFLI_SDK, 'SConscript'), variant_dir="sifli_sdk", duplicate=0))

Return('objs')


